Package uk.ac.starlink.vo

## Interface DalLoader

- All Known Implementing Classes:
    `ConeSearchDialog`, `SiapTableLoadDialog`, `SkyDalTableLoadDialog`, `SsapTableLoadDialog`, `TapTableLoadDialog`

      public interface DalLoader

  Mixin interface describing some behaviours of a load dialogue operating with Data Access Layer services.
  Since:
    7 Jul 2015
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptResourceIdList​(java.lang.String[] ivoids, java.lang.String msg)` | Takes a list of resource ID values and may load them or a subset into this object's dialogue as appropriate.
    `javax.swing.JMenu[]` | `getMenus()` | Returns an array of menus which may be presented in the window alongside the query component.
    `RegistryPanel` | `getRegistryPanel()` | Returns the registry panel for this dialogue.
    `void` | `setMenus​(javax.swing.JMenu[] menus)` | Sets the menus for this dialogue.

- - ### Method Detail

    - #### getMenus

          javax.swing.JMenu[] getMenus()

      Returns an array of menus which may be presented in the window alongside the query component.
      Returns:
        menu array; may be empty

    - #### setMenus

          void setMenus​(javax.swing.JMenu[] menus)

      Sets the menus for this dialogue.
      Parameters:
        `menus` - menu array

    - #### getRegistryPanel

          RegistryPanel getRegistryPanel()

      Returns the registry panel for this dialogue.
      Returns:
        registry panel

    - #### acceptResourceIdList

          boolean acceptResourceIdList​(java.lang.String[] ivoids,
                                       java.lang.String msg)

      Takes a list of resource ID values and may load them or a subset into this object's dialogue as appropriate.
      Parameters:
        `ivoids` - ivo:-type identifier strings
        `msg` - text of user-directed message to explain where the IDs came from
      Returns:
        true iff at least some of the resources were, or may be, loaded into this window